Bug 55080 - hwbrowser prints traceback on encountering partitionless drives etc
Summary: hwbrowser prints traceback on encountering partitionless drives etc
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hwbrowser   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-25 07:36 UTC by Max Waterman
Modified: 2013-04-02 04:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-10 16:18:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Waterman 2001-10-25 07:36:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78C-SGI [en] (X11; I; IRIX 6.5 IP32)

Description of problem:
One of my systems had a couple of partitionless drives. hwbrowser, when run
from a xterm, produces a trace back :

Traceback (innermost last):
  File "/usr/share/hwbrowser/DeviceList.py", line 158, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 151, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 403, in initialize
    populate (ctree, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 322, in populate
    disk = parted.PedDisk.open (device)
parted.error: Error: Unable to open /dev/hde - unrecognised disk label.

When run from the graphical tool, it simply dies, with no explanation.

It should not die at all, or die more gracefully, with a message to inform
the user appearing in a window, perhaps.

Also, a similar thing seems to occur when hwbrowser encounters my USB
devices and my OnStream DI30 tape drive.

Max.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install partitionless disk drive.
2. run 'hwbrowser' within an xterm
3.
	

Actual Results:  it produces this message :


Traceback (innermost last):
  File "/usr/share/hwbrowser/DeviceList.py", line 158, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 151, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 403, in initialize
    populate (ctree, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 322, in populate
    disk = parted.PedDisk.open (device)
parted.error: Error: Unable to open /dev/hde - unrecognised disk label.



Expected Results:  It should produce a more user friendly message, and, if
the graphical version is run, somehow inform the user.

Additional info:

Comment 1 Jason Costomiris 2001-10-28 16:00:05 UTC
Similarly, hwbrowser will also traceback if it encounters a removable-media SCSI 
device (such as my zip250 and jaz1g) that's connected, but has no media inserted.


Comment 2 Jason Costomiris 2001-10-28 16:00:58 UTC
[anthrax:jcostom](11:00am)
/home/jcostom$ hwbrowser
Traceback (innermost last):
  File "/usr/share/hwbrowser/DeviceList.py", line 158, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 151, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 398, in initialize
    disk = parted.PedDevice.get ('/dev/' + device.kudzu_device.device)
parted.error: Error: Error opening /dev/sda: No medium found


Comment 3 Jonathan Blandford 2002-01-30 19:52:29 UTC
shouldn't crash anymore


Note You need to log in before you can comment on or make changes to this bug.